Package org.eclipse.emf.cdo.server.security

# Interface ISecurityManager

All Superinterfaces:
  `org.eclipse.net4j.util.security.AdministrationPredicate`, `org.eclipse.net4j.util.security.IAuthenticator`, `org.eclipse.net4j.util.security.IAuthenticator2`, `SecurityItemContainer`, `SecurityItemProvider`

All Known Subinterfaces:
  `InternalSecurityManager`

public interface ISecurityManager extends SecurityItemContainer, org.eclipse.net4j.util.security.IAuthenticator2
Protects a given `repository`.

Author:
  Eike Stepper
See Also:
  - `SecurityManagerUtil.createSecurityManager(String)`
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ISecurityManager.RealmOperation`
Modifies a security `realm` in a safe transaction.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SYSTEM_USER_ID`

## Method Summary

Modifier and Type
Method
Description
`Realm`
`getRealm()`
`IRepository`
`getRepository()`
`IRepository[]`
`getSecondaryRepositories()`
`void`
`modify(ISecurityManager.RealmOperation operation)`
`void`
`modify(ISecurityManager.RealmOperation operation, boolean waitUntilReadable)`
`CDOCommitInfo`
`modifyWithInfo(ISecurityManager.RealmOperation operation, boolean waitUntilReadable)`
`void`
`read(ISecurityManager.RealmOperation operation)`

### Methods inherited from interface org.eclipse.net4j.util.security.IAuthenticator

`authenticate`

### Methods inherited from interface org.eclipse.net4j.util.security.IAuthenticator2

`isAdministrator, resetPassword, updatePassword`

### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemContainer

`addGroup, addRole, addUser, addUser, addUser, removeGroup, removeRole, removeUser, setPassword`

### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemProvider

`getGroup, getRole, getUser`

## Field Details

### SYSTEM_USER_ID

static final String SYSTEM_USER_ID

Since:
  4.2
See Also:
  - Constant Field Values

## Method Details

### getRepository

IRepository getRepository()

### getSecondaryRepositories

IRepository[] getSecondaryRepositories()

Since:
  4.6

### getRealm

Realm getRealm()

### read

void read(ISecurityManager.RealmOperation operation)

Since:
  4.2

### modify

void modify(ISecurityManager.RealmOperation operation)

### modify

void modify(ISecurityManager.RealmOperation operation, boolean waitUntilReadable)

Since:
  4.2

### modifyWithInfo

CDOCommitInfo modifyWithInfo(ISecurityManager.RealmOperation operation, boolean waitUntilReadable)

Since:
  4.4